php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #24947 PEAR 1.2b4 Fails to detect package.xml when installing
Submitted: 2003-08-05 03:27 UTC Modified: 2003-08-05 15:01 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:0 (0.0%)
From: davey@php.net Assigned: cox (profile)
Status: Closed Package: PEAR related
PHP Version: 4CVS-2003-08-05 (stable) OS: WinXP SP1
Private report: No CVE-ID: None
 [2003-08-05 03:27 UTC] davey@php.net
Description:
------------
After upgrading to PEAR 1.2b4 it is not possible to install any new packages. The error is as follows:

C:\pear>pear install PEAR_Info
downloading PEAR_Info-1.0.6.tgz ...
...done: 6,334 bytes
warning : you are using an archive with an old format
no package.xml file after extracting the archive

I have verified that the error is not with Archive_Tar 1.1 as without PEAR 1.2b4 both Archive_Tar 1.0 and 1.1 work fine.

I tested on a brand new install of PEAR and with an older 4.3.3 snapshot and the latest one 200308050430 aswell as PHP 4.3.2

One more thing to note, is this happened when upgrading PEAR:
C:\pear>pear upgrade PEAR
downloading PEAR-1.2b4.tgz ...
...done: 83,170 bytes
upgrade ok: PEAR 1.2b4
'9' is not recognized as an internal or external command,
operable program or batch file.

I saw this before and it hasn't happened lately, so I think its a bug that was fixed and has now resurfaced.

- Davey

Reproduce code:
---------------
pear upgrade PEAR
pear install <any package>

Expected result:
----------------
C:\pear>pear install PEAR_Info
downloading PEAR_Info-1.0.6.tgz ...
...done: 6,334 bytes
install ok: PEAR_Info 1.0.6

Actual result:
--------------
C:\pear>pear install PEAR_Info
downloading PEAR_Info-1.0.6.tgz ...
...done: 6,334 bytes
warning : you are using an archive with an old format
no package.xml file after extracting the archive

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-08-05 11:08 UTC] cox@php.net
The first error has been corrected. I'm not sure what can be the second one.

"'9' is not recognized as an internal or external command,
operable program or batch file."

This error is generated by the Win XP console. Could try to find where and why?


 [2003-08-05 15:01 UTC] pajoye@php.net
Thank you for your bug report. This issue has already been fixed
in the latest released version of PHP, which you can download at 
http://www.php.net/downloads.php


 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sun Oct 17 07:03:33 2021 UTC